Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 987101 - SELinux is preventing /usr/libexec/fprintd from 'execute' accesses on the file /usr/bin/netstat.
Summary: SELinux is preventing /usr/libexec/fprintd from 'execute' accesses on the fil...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: nss
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Elio Maldonado Batiz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:8f2e7a7bffd040fb30e280de8d5...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-22 17:44 UTC by Rafal Boruc
Modified: 2015-02-17 16:18 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 16:18:25 UTC


Attachments (Terms of Use)

Description Rafal Boruc 2013-07-22 17:44:19 UTC
Description of problem:
SELinux is preventing /usr/libexec/fprintd from 'execute' accesses on the file /usr/bin/netstat.

*****  Plugin catchall (100. confidence) suggests  ***************************

If aby fprintd powinno mieć domyślnie execute dostęp do netstat file.
Then proszę to zgłosić jako błąd.
Można utworzyć lokalny moduł polityki, aby umożliwić ten dostęp.
Do
można tymczasowo zezwolić na ten dostęp wykonując polecenia:
# grep fprintd /var/log/audit/audit.log | audit2allow -M mojapolityka
# semodule -i mojapolityka.pp

Additional Information:
Source Context                system_u:system_r:fprintd_t:s0
Target Context                system_u:object_r:bin_t:s0
Target Objects                /usr/bin/netstat [ file ]
Source                        fprintd
Source Path                   /usr/libexec/fprintd
Port                          <Nieznane>
Host                          (removed)
Source RPM Packages           fprintd-0.5.0-1.fc19.x86_64
Target RPM Packages           net-tools-2.0-0.6.20130109git.fc19.x86_64
Policy RPM                    selinux-policy-3.12.1-44.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.2-301.fc19.x86_64 #1 SMP Mon
                              May 13 12:36:24 UTC 2013 x86_64 x86_64
Alert Count                   18
First Seen                    2013-07-03 19:00:29 BST
Last Seen                     2013-07-22 18:37:01 BST
Local ID                      449f3cae-2f3a-4706-912f-e80ab5c349d6

Raw Audit Messages
type=AVC msg=audit(1374514621.990:1106): avc:  denied  { execute } for  pid=14435 comm="fprintd" name="netstat" dev="dm-0" ino=1195233 scontext=system_u:system_r:fprintd_t:s0 tcontext=system_u:object_r:bin_t:s0 tclass=file


type=SYSCALL msg=audit(1374514621.990:1106): arch=x86_64 syscall=execve success=no exit=EACCES a0=7fff146a3233 a1=7fff146a3300 a2=1254c80 a3=3acfe87ea0 items=0 ppid=14423 pid=14435 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=fprintd exe=/usr/libexec/fprintd subj=system_u:system_r:fprintd_t:s0 key=(null)

Hash: fprintd,fprintd_t,bin_t,file,execute

audit2allow

#============= fprintd_t ==============
allow fprintd_t bin_t:file execute;

audit2allow -RYou must regenerate interface info by running /usr/bin/sepolgen-ifgen


Additional info:
reporter:       libreport-2.1.4
hashmarkername: setroubleshoot
kernel:         3.9.2-301.fc19.x86_64
type:           libreport

Potential duplicate: bug 918141

Comment 1 Daniel Walsh 2013-07-22 19:20:56 UTC
This smells like an libnss problem where it used to exec netstat to generate randomness?

Comment 2 Bob Relyea 2013-07-22 22:11:28 UTC
Elio, we shouldn't be using netstat anymore. Please make sure that's the case in fedora (maybe an update turned it's use back on?). This would be softoken if it's happening in NSS.

bob

Comment 3 Kai Engert (:kaie) (inactive account) 2013-08-12 19:12:01 UTC
Bob, NSS still contains the code to run netstat.

However, it will be used in a fallback scenario - only if NO (zero) entropy bytes could be obtained using other strategies.

http://mxr.mozilla.org/nss/source/lib/freebl/unix_rand.c?mark=816,912-920,946-947#912

Comment 4 Kai Engert (:kaie) (inactive account) 2013-08-12 19:28:22 UTC
While function RNG_SystemInfoForRNG does a lot, only one line is responsible for the decision to skip or use netstat:
    bytes = RNG_FileUpdate("/dev/urandom", SYSTEM_RNG_SEED_COUNT);

If /dev/urandom were unaccessible (can't stat or can't read from), it would result in a zero result and netstat being used.

Is that scenario possible?

Comment 5 Daniel Walsh 2013-08-13 21:39:48 UTC
THat is probably it.  fprintd attempted to read /dev/urandom and SELinux blocked it.

Rafal were you using ldap for your users?

Comment 6 Bob Relyea 2013-08-15 18:14:23 UTC
> That is probably it.  fprintd attempted to read /dev/urandom and 
> SELinux blocked it.

Oh we need to be very careful about blocking /dev/urandom. If NSS didn't have any fallback, you would wind up with no entropy in your keys.

bob

Comment 7 Daniel Walsh 2013-08-17 11:12:02 UTC
So should I just give every domain the ability to read it?  Could a bad one drain all of the entropy?

Comment 8 Fedora End Of Life 2015-01-09 19:03:06 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2015-02-17 16:18:25 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.